Bug 98337 - [errno 12] Unable to allocate memory
Summary: [errno 12] Unable to allocate memory
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer   
(Show other bugs)
Version: 8.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-07-01 12:51 UTC by Nalin Saxena
Modified: 2007-04-18 16:55 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-11 15:54:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nalin Saxena 2003-07-01 12:51:17 UTC
Description of problem: Unable to install. The following error comes in window

Traceback (most recent call last):
   File "/usr/lib/anaconda/gui.py", line 786, in handleRenderCallback
     self.currentWindow.renderCallback()
   File "/usr/lib/anaconda/iw/progress_gui.py", line 149, in renderCallback
     self.intf.icw.nextclicked()
   File "/usr/lib/anaconda/gui.py", line 632, in nextClicked
     self.dispatch.gotoNext()
   File "/usr/lib/anaconda/dispatch.py", line 150, in gotoNext
     self.Movestep()
   File "/usr/lib/anaconda/dispatch.py", line 215, in Movestep
     rc = appy(func, self.bindArgs(args))
   File "/usr/lib/anaconda/packages.py", line 430, in turnOnFilesystems
     partitions.doMetaDeletes(diskset)
   File "/usr/lib/anaconda/dispatch.py", line 1110, in doMetaDeletes
     lvm.vgactivate()
   File "/usr/lib/anaconda/lvm.py", line 54, in vgactivate
     searchpath = 1)
   File "/usr/lib/anaconda/iutil.py", line 66, in execWithRedirect
     childpid = os.fork()

   OSERROR:[errno12] cannot allocate memory

Comment 1 Michael Fulbright 2003-07-02 20:56:27 UTC
How much RAM is installed in the system?

Comment 2 Shanmu 2003-07-03 05:46:17 UTC
I am also facing the same problem. My machine has 64 MB 
of RAM installed on it. I am trying to install RH 7.3 
on my machine  (Intel celeron). I had once installed 
RH 7.3 on this very same machine with much ease. 
But I am getting this error while installing 8.0.

Comment 3 Nalin Saxena 2003-07-04 04:21:25 UTC
I have the following configuration -
Intel celeron 667MHz
64MB SDRAM 
82810E Intel chipset motherboard
Samsung Samtron SC 428PS monitor
IDE Primary master(40GB) - samsung SV0401H (with FAT Partitions)
IDE Primary slave (20GB) - samsung SV2042H (on this i am trying to install linux)
IDE Secondary Master     - Samsung CD-R/RW sw-24


Comment 4 Shanmu 2003-07-10 05:41:03 UTC
I got this to work by installing RH 8.0 in the text mode.
Type "linux text" at the boot prompt. That is the doorway
to get this installed.

Comment 5 Michael Fulbright 2003-07-11 15:54:36 UTC
Yeah 128MB is required for a graphical install.


Note You need to log in before you can comment on or make changes to this bug.